import { marbleAssert } from './assert/marbleAssert';
import { RxAsyncSandboxInstance, RxSandboxInstance } from './interfaces/RxSandboxInstance';
import { AsyncFlushSandboxOption, SandboxOption } from './interfaces/SandboxOption';
import { TestMessage } from './message/TestMessage';
import { complete, error, next, subscribe } from './message/TestMessage';
export { expectedObservable, expectedSubscription, RxSandboxInstance, RxAsyncSandboxInstance } from './interfaces/RxSandboxInstance';
type marbleAssertion = typeof marbleAssert;
/**
 * Creates a new instance of test scheduler for testing observables.
 *
 * @return {RxSandboxInstance} instance of test scheduler interfaces.
 */
declare function create(autoFlush?: boolean, frameTimeFactor?: number, maxFrameValue?: number): RxSandboxInstance;
/**
 * Creates a new instance of test scheduler flushes action with native async tick for testing observables.
 *
 * NOTE: this is beta feature and likely have some issues. Also Until stablized internal implementation can change without sember breaking.
 * @param {AsyncFlushSandboxOption} [options] customizable options to create test scheduler
 */
declare function create(options: AsyncFlushSandboxOption): RxAsyncSandboxInstance;
/**
 * Creates a new instance of test scheduler for testing observables.
 *
 * @param {SandboxOptions} [options] customizable options to create test scheduler.
 * @return {RxSandboxInstance} instance of test scheduler interfaces.
 */
declare function create(options?: Partial<SandboxOption>): RxSandboxInstance;
declare const rxSandbox: {
    create: typeof create;
    marbleAssert: typeof marbleAssert;
};
export { rxSandbox, TestMessage, marbleAssertion, next, error, complete, subscribe };
//# sourceMappingURL=index.d.ts.map