"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.subscribe = exports.complete = exports.error = exports.next = exports.rxSandbox = void 0;
const marbleAssert_1 = require("./assert/marbleAssert");
const parseObservableMarble_1 = require("./marbles/parseObservableMarble");
const parseSubscriptionMarble_1 = require("./marbles/parseSubscriptionMarble");
const TestMessage_1 = require("./message/TestMessage");
Object.defineProperty(exports, "complete", { enumerable: true, get: function () { return TestMessage_1.complete; } });
Object.defineProperty(exports, "error", { enumerable: true, get: function () { return TestMessage_1.error; } });
Object.defineProperty(exports, "next", { enumerable: true, get: function () { return TestMessage_1.next; } });
Object.defineProperty(exports, "subscribe", { enumerable: true, get: function () { return TestMessage_1.subscribe; } });
const createTestScheduler_1 = require("./scheduler/createTestScheduler");
const interopOptionsFromArgument_1 = require("./utils/interopOptionsFromArgument");
function create(...args) {
    const { autoFlush, frameTimeFactor, maxFrameValue, flushWithAsyncTick } = (0, interopOptionsFromArgument_1.interopOptionsFromArgument)(args);
    // to get overloaded signatures
    const instance = flushWithAsyncTick ?
        (0, createTestScheduler_1.createTestScheduler)(autoFlush, frameTimeFactor, Math.round(maxFrameValue / frameTimeFactor), true) :
        (0, createTestScheduler_1.createTestScheduler)(autoFlush, frameTimeFactor, Math.round(maxFrameValue / frameTimeFactor), false);
    return Object.assign(Object.assign({}, instance), { e: (marble, value, error) => (0, parseObservableMarble_1.parseObservableMarble)(marble, value, error, true, frameTimeFactor, frameTimeFactor * maxFrameValue), s: (marble) => (0, parseSubscriptionMarble_1.parseSubscriptionMarble)(marble, frameTimeFactor, frameTimeFactor * maxFrameValue) });
}
const rxSandbox = {
    create,
    marbleAssert: marbleAssert_1.marbleAssert,
};
exports.rxSandbox = rxSandbox;
//# sourceMappingURL=index.js.map